Subject: bash: ./myscript: No such file or directory. TMP variable is being unset
From: "Guy T. Moore Jr." <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Thu, 28 Sep 2000 12:36:56 -0400

1.)
Seems like I should be able to do the following simple shell scripting:

I'm in a Cygwin 1.1.4 window at my C: prompt.

I create a file, called myscript,  with the 1 line of:

     echo "doggie"

I cannot execute this successfully:

$ ./myscript
bash: ./myscript: No such file or directory.

I can execute myscript succesfully if I add at the top of the
myscript the line of:

    #!/bin/sh

and I can also execute myscript succesfully if I, preface the command with /bin/sh:

$ /bin/sh myscript

I'd rather get it to work the way it does on Solaris 5.7 in a bourne shell or csh
without using any work arounds.

This problem is preventing other simple things from working correctly.

2.)
I have the environment variable "TMP" defined as both a SYSTEM and USER environment
variable, but when I open up a Cygwin window it does not have this set.
It has all the other ones set, why did it unset this?

Guy Moore
OpenMarket

--
Want to unsubscribe from this list?
Send a message to [email-masked]